<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title>Notes</title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<div id="header">
<h1 class="title">Notes</h1>
</div>
<h1 id="section">2017/12/29</h1>
<p>Voir le <a href="schema01.jpg">schéma</a>.</p>
<p>La commande de la carte PCI risque d'être compliquée avec GNU/Linux.</p>
<p>La commande de l'alimentation d'un port USB semble plus facile.</p>
<h2 id="commande-de-lalimentation-du-port-usb">Commande de l'alimentation du port USB</h2>
<p>https://www.linuxquestions.org/questions/linux-software-2/howdoi-turn-on-off-usb-light-by-time-514863/</p>
<p>https://www.linux.com/blog/disable-enable-usb-terminal</p>
<pre><code># lsusb -t
/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/6p, 480M
    |__ Port 1: Dev 4, If 0, Class=Mass Storage, Driver=usb-storage, 480M
/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/6p, 480M
/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
    |__ Port 1: Dev 2, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
    |__ Port 2: Dev 3, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
</code></pre>
<p>Désactiver :</p>
<pre><code># echo &#39;8-1&#39; &gt; /sys/bus/usb/drivers/usb/unbind </code></pre>
<p>Activer :</p>
<pre><code># echo &#39;8-1&#39; &gt; /sys/bus/usb/drivers/usb/bind</code></pre>
<p>'8-1' correspond à Numéro_du_bus:Numéro_du_port</p>
<p>Besoin d'être root. Ou mettre ça dans un script avec sudo et limiter les droits sur un bus:port dans visudo. -&gt; Fait.</p>
<p>Créer 2 scripts /home/ubi01/switchoff et /home/ubi01/switchon -&gt; Fait</p>
<h2 id="hardware">Hardware</h2>
<ul>
<li>Un relais commandé en 5V/500mA qui laisse passer 230V/1A</li>
<li>un câble USB à couper pour récupérer le 0 et +5V</li>
</ul>
<h2 id="serveur-ssh">Serveur SSH</h2>
<ul>
<li>Configurer la Livebox pour router un port SSH externe vers le port 22 du PC de commande.</li>
<li>Créer un utilisateur spécifique 'ubi01', avec des droits restreints.</li>
</ul>
<h1 id="section-1">2018/01/09</h1>
<p>J'ai récupéré deux relais 5V de type <a href="https://eu.mouser.com/ProductDetail/Panasonic/DSP1-DC5V-F/?qs=%2Fha2pyFadujEMHHgsKW7ePBawXYQFPzQkLrACH4eMymBbYvhfZBxtg%3D%3D">DSP1-DC5V</a></p>
<p>Ils nécessitent environ 20mA pour fonctionner. On peut les commander avec l'alimentation de l'USB de l'ordi, mais pas avec les sorties numériques de l'Arduino.</p>
<p>L'accès SSH depuis l'intérieur se fait à l'adresse 192.168.1.9 avec un username ubi01.<br />
L'accès SSH depuis l'extérieur se fera à l'adresse ubi01.dtdns.net, avec un username ubi01.</p>
<h1 id="section-2">2018/01/11</h1>
<p>La commande de l'alimentation du port USB semble ne pas fonctionner si aucun périphérique n'est branché. Je ne vais pas m'attarder sur cette solution, car l'avantage « pas cher en matériel » est dépassé par l'inconvénient « cher en temps »</p>
</body>
</html>
